Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004833OCamlOCaml documentationpublic2009-07-08 09:522012-02-01 13:58
Reporterlarsr 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.1 
Summary0004833: The documentation fails to mention that you must #load "dynlink.cma";;
DescriptionOn http://caml.inria.fr/pub/docs/manual-ocaml/manual003.html#toc11 [^]
it says you should #load "camlp4o.cma";;
but this fails with the message
Error: Reference to undefined global `Dynlink'

This is because you have to do #load "dynlink.cma";; first

The documentation should be updated to reflect this, to help the new users who just pick up the tutorial to try out ocaml
Additional InformationHere is a user who (like me) stumbled into this trap:
http://www.nabble.com/Problem-using-camlp4o-on-windows.-td21688501.html [^]
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0005261closed Parse errors reported by toplevel for code of section 1.8 
duplicate of 0005496closedprotz Incomplete information in Section 7.2 of the Reference Manual 

-  Notes
(0006869)
doligez (administrator)
2012-02-01 13:52

This was fixed in 3.12.0 or 3.12.1.

- Issue History
Date Modified Username Field Change
2009-07-08 09:52 larsr New Issue
2011-05-31 16:08 doligez Relationship added duplicate of 0005261
2011-05-31 16:08 doligez Status new => acknowledged
2012-02-01 13:52 doligez Note Added: 0006869
2012-02-01 13:52 doligez Status acknowledged => closed
2012-02-01 13:52 doligez Resolution open => fixed
2012-02-01 13:52 doligez Fixed in Version => 3.12.1
2012-02-01 13:58 protz Relationship added duplicate of 0005496


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker